Package org.apache.cayenne

## Class CayenneException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.cayenne.CayenneException

- All Implemented Interfaces:
    `Serializable`

      @Deprecated
      public class CayenneException
      extends Exception

  Deprecated.
  since 4.1 use `CayenneRuntimeException` instead
  A generic checked exception that may be thrown by Cayenne framework. All checked exceptions in Cayenne inherit from this class.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CayenneException()` | Deprecated. Creates new `CayenneException` without detail message.
    `CayenneException​(String messageFormat, Object... messageArgs)` | Deprecated. Constructs an `CayenneException` with the specified detail message.
    `CayenneException​(String messageFormat, Throwable cause, Object... messageArgs)` | Deprecated.
    `CayenneException​(Throwable cause)` | Deprecated. Constructs an `CayenneException` that wraps a `cause` thrown elsewhere.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `getExceptionLabel()` | Deprecated. since 4.1 use `CayenneRuntimeException.getExceptionLabel()`
    `String` | `getMessage()` | Deprecated.
    `String` | `getUnlabeledMessage()` | Deprecated. Returns exception message without Cayenne version label.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CayenneException

          public CayenneException()

      Deprecated.
      Creates new `CayenneException` without detail message.

    - #### CayenneException

          public CayenneException​(String messageFormat,
                                  Object... messageArgs)

      Deprecated.
      Constructs an `CayenneException` with the specified detail message.
      Parameters:
        `messageFormat` - the detail message format string.

    - #### CayenneException

          public CayenneException​(Throwable cause)

      Deprecated.
      Constructs an `CayenneException` that wraps a `cause` thrown elsewhere.

    - #### CayenneException

          public CayenneException​(String messageFormat,
                                  Throwable cause,
                                  Object... messageArgs)

      Deprecated.

  - ### Method Detail

    - #### getExceptionLabel

          @Deprecated
          public static String getExceptionLabel()

      Deprecated.
      since 4.1 use `CayenneRuntimeException.getExceptionLabel()`

    - #### getUnlabeledMessage

          public String getUnlabeledMessage()

      Deprecated.
      Returns exception message without Cayenne version label.
      Since:
        1.1

    - #### getMessage

          public String getMessage()

      Deprecated.
      Overrides:
        `getMessage` in class `Throwable`